Name:		fityk
Summary:	Non-linear curve fitting and data analysis
Version:	0.9.8
Release:	3%{?dist}

Source0:	https://github.com/downloads/wojdyr/fityk/%{name}-%{version}.tar.bz2
URL:		http://fityk.nieto.pl/
License:	GPLv2+
Group:		Applications/Engineering
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: gcc-c++, readline-devel, ncurses-devel, desktop-file-utils
BuildRequires: xylib-devel >= 0.6
BuildRequires: boost-devel
%if 0%{?mandriva_version}
BuildRequires: libwxgtk2.8-devel >= 2.8.4
%else
BuildRequires: wxGTK-devel >= 2.8.4
%endif

Requires:	gnuplot

%description
Fityk is a program for nonlinear curve-fitting of analytical
functions (especially peak-shaped) to data (usually experimental
data). It can also be used for visualization of x-y data only.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs that make
use of %{name}, you will need to install %{name}-devel.

%prep
%setup -q

%build
%configure --disable-xyconvert
# remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}
										
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p" install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# SWIG bindings are not packaged, remove samples
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/samples/*.py*
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/samples/*.lua
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/samples/*.pl

ln -s fityk.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/cfityk.1.gz

desktop-file-validate %{buildroot}/%{_datadir}/applications/fityk.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
/sbin/ldconfig 2>/dev/null

%postun
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
/sbin/ldconfig 2>/dev/null

%files
%defattr(-,root,root)
%doc COPYING NEWS README TODO
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/samples
%{_bindir}/*
%{_datadir}/%{name}/html/
%{_datadir}/%{name}/samples/README
%{_datadir}/%{name}/samples/*.dat
%{_datadir}/%{name}/samples/*.fit
%{_datadir}/applications/*.desktop
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/%{name}/samples/*.cc

%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-3
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 15 2011 Marcin Wojdyr <wojdyr@gmail.com> - 0.9.8-1
- update to 0.9.8
- removed configure flag --with-samples
- removed minimal boost version
- updated URL

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 12 2010 Marcin Wojdyr <wojdyr@gmail.com> - 0.9.4-1
- update to 0.9.4
- update BuildRequires and files
- add configure flag --disable-xyconvert and remove -DNDEBUG
- symlink man page for cfityk

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 0.8.8-2
- rebuilt against wxGTK-2.8.11-2

* Sat Aug 18 2009 Marcin Wojdyr <wojdyr@gmail.com> - 0.8.8-1
- upstream license was changed from GPLv2 to GPLv2+
- install mime files and call update-mime-database
- use configure flag --with-samples to install samples
- update %%doc
- do not move program's icon from pixmaps/ to icons/
- add xylib-devel to BuildRequires
- add minimal wxGTK version
- remove not needed CXX and CC variables from configure and make
- drop obsolete changes to desktop file
- drop obsolete patch
- update to 0.8.8. Closes Red Hat Bugzilla bug #511758.
  Closes Red Hat Bugzilla bug #511307.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8.1-14
- fix license tag

* Mon Apr 07 2008 Jesse Keating <jkeating@redhat.com> - 0.8.1-13
- Patch for GCC 4.3

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.1-11
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.8.1-10
- Rebuild for selinux ppc32 issue.

* Thu Jul 19 2007 John Pye <john@curioussymbols.com> 0.8.1-9
- First import to Fedora package management system

* Sun Jun 24 2007 John Pye <john.pye@anu.edu.au> 0.8.1-8
- Remove 'INSTALL'
- Remove 'tips.txt', kepts 'fityk_tips.txt'

* Sun Jun 24 2007 John Pye <john.pye@anu.edu.au> 0.8.1-7
- Taking suggestions from Mamoru Tasaka:
- Removing unneeded install steps
- Removing "LDFLAGS='-s'"; can't recall why it was there...
- Fixing timestamps with 'install -p'
- Remove mime-database update

* Sun Jun 24 2007 John Pye <john.pye@anu.edu.au> 0.8.1-6
- fixing for build on Mandrive 2006
- added missing dependencies following testing on openSUSE Build Service

* Mon May 07 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.8.1-5
- minor spec file cleanups (drop %%{vendor})
- fix up the included desktop file, get rid of the broken one
- get rid of rpath with libtool override

* Sun May 06 2007 John Pye <john.pye@anu.edu.au> 0.8.1-4
- Fixed file 02755 file permissions

* Wed May 02 2007 John Pye <john.pye@anu.edu.au> 0.8.1-3
- Separated -devel files into new package
- Added ldconfig lines
- Remove Makefiles from doc dirs.

* Tue May 01 2007 John Pye <john.pye@anu.edu.au> 0.8.1-2
- Corrected according to suggestions from Comrade Tom Callaway:
- makeinstall macro removed and replaced with 'make DESTDIR='
- _smp_mflags added
- removed .la file
- use of ccache is now conditional only
- removed runtime deps that will be autodetected
- removed unnecc buildtime deps

* Fri Apr 27 2007 John Pye <john.pye@anu.edu.au> 0.8.1-1
- Using .desktop file from the tarball
- Updating to new icon given in the tarball
- Fix _mandir
- Wildcard on .so.0.*
- Got rid of CVS file purge
- Install fityk_tips.txt

* Fri Apr 27 2007 John Pye <john.pye@anu.edu.au> 0.8.1-0
- 0.8.1
- Converted to Fedora

* Thu Jul 1 2004 Austin Acton <austin@mandrake.org> 0.4.2-1mdk
- 0.4.2

* Wed Jun 16 2004 Austin Acton <austin@mandrake.org> 0.4.1-1mdk
- 0.4.1
- configure 2.5
- new menu

# -*- coding: UTF-8 -*-
